Tspi_Policy_AssignToObject(3)

TCG Software Stack Developers Reference

NAME
Tspi_Policy_AssignToObject - assign a policy to an object

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Policy_AssignToObject(TSS_HPOLICY hPolicy, TSS_HOBJECT hObject);

DESCRIPTION

Tspi_Policy_AssignToObject assigns a given object to a certain policy. The object then uses its assigned policy to process an authorized TPM command. When each new object is initialized, it is assigned to the default policy, which is created when a context object is created. When an object is assigned to a policy, a reference is added to the list of assigned objects stored in the policy, and a reference to the policy is stored in the object by internal object functions.

PARAMETERS

  hPolicy
The hPolicy parameter is the handle of the policy object to be assigned to.

  hObject
The hObject parameter is the object that will be assigned to hPolicy.

RETURN CODES

Tspi_Policy_AssignToObject returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hPolicy is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

CONFORMING TO

Tspi_Policy_AssignToObject conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Policy_SetSecret(3), Tspi_Policy_FlushSecret(3).